%define name ovm-console
%define version 1.0.0
%define release 2

Summary: Ovm console based on mozplugger and vncViewer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ovm-console-1.0.0.tar.gz
#Patch0: Makefile.patch
License: GPL
Group: Networking/WWW
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: m4
URL: http://linux.oracle.com

%description
Ovm-console is based on MozPlugger and a modified version of vncViewer 


%pre

%prep
%setup -q
#%patch0 -p1

%build
(cd mozplugger-1.8.1 ; make linux )

%install
(cd mozplugger-1.8.1 ; make install root=$RPM_BUILD_ROOT )
cp -axv vncViewer $RPM_BUILD_ROOT/opt/ovm-console/ 


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config /opt/ovm-console/etc/mozpluggerrc
/opt/ovm-console/bin/*
/opt/ovm-console/share/man/man7/mozplugger.7*
/opt/ovm-console/lib/mozilla/plugins/ovm-console-mozplugger.so
/opt/ovm-console/vncViewer/*

%post
%ifarch x86_64
rm -f /usr/lib64/mozilla/plugins/ovm-console-mozplugger.so
ln -s /opt/ovm-console/lib/mozilla/plugins/ovm-console-mozplugger.so /usr/lib64/mozilla/plugins/ovm-console-mozplugger.so
%else
rm -f /usr/lib/mozilla/plugins/ovm-console-mozplugger.so
ln -s /opt/ovm-console/lib/mozilla/plugins/ovm-console-mozplugger.so /usr/lib/mozilla/plugins/ovm-console-mozplugger.so
%endif

%changelog
* Tue Nov 6 2007 Bert Barbe <bert.barbe@oracle.com>
- Integrated vncViewer and mozplugger for ovm-console
* Mon Feb 20 2006 William Bell <w.bell@physics.gla.ac.uk>
- Modified to allow 64bit version to be built.
* Mon Dec 20 2004 Louis Bavoil <bavoil@sci.utah.edu>
- removed dependency with Mozilla.
* Mon Feb  2 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp>
- rebuilt from spec file in mozplugger-1.5.0.tar.gz
- mozpluggerrc is packed as config file.
- added URL to spec file
# end of file
